# UniTAP.dev.ports.modules.ag.types

class AudioPattern(enum.IntEnum):

Class `AudioPattern` contains all possible variants of audio templates.

SignalSine = <AudioPattern.SignalSine: 0>
SignalSawtooth = <AudioPattern.SignalSawtooth: 1>
SignalSquare = <AudioPattern.SignalSquare: 2>
CustomAudio = <AudioPattern.CustomAudio: 3>
SignalIncremental = <AudioPattern.SignalIncremental: 4>
Unknown = <AudioPattern.Unknown: 5>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class AGStatus(enum.IntEnum):

Class `AGStatus` contains all possible variants of Audio generator states.

Unknown = <AGStatus.Unknown: -1>
Stop = <AGStatus.Stop: 0>
Running = <AGStatus.Running: 1>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator